package src.de.dhbw_ka.probe_pe.darts_counter;

/**
 * Class representing the Game Board
 */
public class Board {
  /**
   * All fields a player can hit with a throw
   * 
   * @see Field
   */
  private Field[] fields = new Field[63];

  /**
   * Initiates the board with all fields
   */
  public Board() {
    for (int i = 1; i <= 20; i++) {
      fields[(i - 1) * 3] = new Field("" + i, i, false);
      fields[(i - 1) * 3 + 1] = new Field("D" + i, i * 2, true);
      fields[(i - 1) * 3 + 2] = new Field("T" + i, i * 3, false);
    }
    fields[60] = new Field("25", 25, false);
    fields[61] = new Field("BULL", 50, true);
    fields[62] = new Field("x", 0, false);
  }

  /**
   * Get the matching field for a (user input) string or null
   * 
   * @param label
   * @return the field with the matching label
   * @see Field
   */
  public Field parseField(String label) {
    for (Field f : fields) {
      if (f == null)
        continue;
      if (f.getLabel().equalsIgnoreCase(label))
        return f;
    }

    return null;
  }
}
