package src.de.dhbw_ka.probe_pe.darts_counter;

/**
 * Class representing a dart board field
 */
public class Field {
  /**
   * Label of the Field
   */
  private String label;
  /**
   * Value of the Field
   */
  private int value;
  /**
   * If the field is a double value field
   */
  private boolean doubleField;

  /**
   * Initiates a new Field
   * 
   * @param label
   * @param value
   * @param doubleField
   */
  public Field(String label, int value, boolean doubleField) {
    this.label = label;
    this.value = value;
    this.doubleField = doubleField;
  }

  /**
   * 
   * @return Label of the field
   */
  public String getLabel() {
    return label;
  }

  /**
   * 
   * @return value of the field
   */
  public int getValue() {
    return value;
  }

  /**
   * 
   * @return true if the field is a double value field
   */
  public boolean getDoubleField() {
    return doubleField;
  }

  @Override
  public String toString() {
    return this.label;
  }
}
